#include<iostream>
using namespace std;
int main()
{
    long long n,pompreslov=0,pompresloc=0,sekunde=0;
    cin>>n;
    int brojevic[n+1],brojeviv[n+1],ca[n+1],va[n+1],preslov[n+1],presloc[n+1],cava[n+1][n+1];
    for (int i=0;i<n+1;i++)
    {
        brojevic[i]=0;
        brojeviv[i]=0;
    }
    for (int i=0;i<n;i++)
    {
        int c,v;
        cin>>c>>v;
        cava[c][v]=-1;
        ca[i]=c;
        va[i]=v;
        brojevic[c]++;
        if (brojevic[c]==2)
        {
            presloc[pompresloc]=c;
            pompresloc++;
        }
        brojeviv[v]++;
        if (brojeviv[v]==2)
        {
            preslov[pompreslov]=v;
            pompreslov++;
        }
    }

    for (int i=0;i<pompresloc;i++)
    {
        for (int j=0;j<pompreslov;j++)
        {
            if (cava[presloc[i]][preslov[j]]==-1)
            {
                brojevic[presloc[i]]--;
                brojeviv[preslov[j]]--;
                sekunde++;

            }
        }
         while (brojevic[presloc[i]]>1)
            {
                brojevic[presloc[i]]--;
                sekunde++;
            }
    }
    for (int i=0;i<pompreslov;i++)
    {
        if (brojeviv[preslov[i]]>1)
        {
             while (brojeviv[preslov[i]]>1)
            {
                --brojeviv[preslov[i]];
                sekunde++;
            }
        }

    }
   cout<<sekunde;
   return 0;
}